From 39978f4e9cff1faeddfff9cea2181982df343954 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?J=F6rgen=20Maas?= <jorgen.maas@gmail.com>
Date: Mon, 7 Nov 2011 07:43:59 +0100
Subject: [PATCH] buildiso bugfix: overriding dns nameservers via the dns kopt now works.
 reported by Simon Woolsgrove <simon@woolsgrove.com>

---
 cobbler/action_buildiso.py |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

diff --git a/cobbler/action_buildiso.py b/cobbler/action_buildiso.py
index 11a8888..cb86a4d 100644
--- a/cobbler/action_buildiso.py
+++ b/cobbler/action_buildiso.py
@@ -367,7 +367,10 @@ class BuildIso:
                 if dist.breed == "suse":
                    append_line += " nameserver=%s" % my_dns[0]
                 if dist.breed == "redhat":
-                   append_line += " dns=%s" % ",".join(my_dns)
+                   if type(my_dns) == list:
+                      append_line += " dns=%s" % ",".join(my_dns)
+                   else:
+                      append_line += " dns=%s" % my_dns
                 if dist.breed in ["ubuntu","debian"]:
                    append_line += " netcfg/get_nameservers=%s" % ",".join(my_dns)
 
-- 
1.7.1

